<template>

	<section class="main-body-wrapper">
		<div class="container p-0">
			<div class="page-title w-100">
				<h1>Merchant type</h1>
				<h2 class="sub-title">No matter what type of merchant</h2>
			</div>
			<div class="form-wrapper">
				<div class="container-fluid">
					<div class="row m-0">
						<div class="col-lg-6 col-md-12 mb-5 text-center">
							<div class="on-hover" v-on:click="individual">
								<img src="/static/img/ic_merchant_color.png" alt="Individual">
								<p>Individual</p>
							</div>
							<!-- <div class="select-merchant-type" v-on:click="individual">
								<input type="radio" id="control_01" name="select" value='individual' v-model='type'>
								<label class="merchant-selector" for="control_01">
									<img src="/static/img/ic_merchant_color.png" alt="Individual">
									<p>Individual</p>
								</label>
							</div> -->
						</div>
						<div class="col-lg-6 col-md-12 mb-5">
							<div class="on-hover" v-on:click="company">
								<img src="/static/img/ic_individual_color.png" alt="Company">
								<p>Business</p>
							</div>
							<!-- <div class="select-merchant-type" v-on:click="company">
								<input type="radio" id="control_02" name="select" value="company" v-model='type'>
								<label class="merchant-selector" for="control_02">
									<img src="/static/img/ic_individual_color.png" alt="Company">
									<p>Company</p>
								</label>
							</div> -->
						</div>
					</div>
				</div>
			</div>
		</div>
	</section>
</template>


<script>
export default {
  name: 'MerchantType',
  data () {
    return {
      type: "individual"
    }
  },
  mounted () {
    
  }, 
  methods: {
    individual: function() {
		  this.$store.commit('setStepProgress', {step: 2,status:  'progress'})
      this.$router.push({"name": "IndividualForm"})
    },
    company: function() {
      this.$router.push({"name": "CompanyForm"})
		}
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.type-inline {
  display: inline-block;
}

.btn-size {
  height: 200px;
  width: 100px;
  padding: 20px;
}
</style>
